Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.filters
Class SuppressionFilter

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.filters.SuppressionFilter

All Implemented Interfaces:
  Configurable, Contextualizable, Filter

    public class SuppressionFilter

extends AutomaticBean
implements Filter

This filter accepts AuditEvents according to file, check, line, and column, as specified in a suppression file.

Author:
  Rick Giles

Constructor Summary
`SuppressionFilter()`

Method Summary
`boolean` | `accept(AuditEvent aEvent)` Determines whether or not a filtered AuditEvent is accepted.
`boolean` | `equals(Object aObject)`
`int` | `hashCode()`
`void` | `setFile(String aFileName)` Loads the suppressions for a file.
`String` | `toString()`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SuppressionFilter

    public SuppressionFilter()

Method Detail

### setFile

    public void setFile(String aFileName)
                 throws CheckstyleException

  Loads the suppressions for a file.

  Parameters:
    `aFileName` - name of the suppressions file.
  Throws:
    `CheckstyleException` - if there is an error.

### accept

    public boolean accept(AuditEvent aEvent)

  Determines whether or not a filtered AuditEvent is accepted.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `aEvent` - the AudtiEvent to filter.
  Returns:
    true if the aEvent is accepted.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object aObject)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD